import type { RouteResponse } from "@0xsquid/squid-types";
export declare const useExecuteTransaction: (squidRoute?: RouteResponse["route"]) => {
    executeSwap: () => Promise<void>;
    cancelSwap: () => void;
    fromToken: import("../..").Token | undefined;
    toToken: import("../..").Token | undefined;
    toChain: import("@0xsquid/squid-types").ChainData | undefined;
    fromChain: import("@0xsquid/squid-types").ChainData | undefined;
    isLoading: boolean;
    error: unknown;
};
